Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERObject

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.DERObject

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  ASN1Null, ASN1OctetString, ASN1Sequence, ASN1Set, ASN1TaggedObject, DERApplicationSpecific, DERBitString, DERBMPString, DERBoolean, DEREnumerated, DERGeneralizedTime, DERGeneralString, DERIA5String, DERInteger, DERNumericString, DERObjectIdentifier, DERPrintableString, DERT61String, DERUniversalString, DERUnknownTag, DERUTCTime, DERUTF8String, DERVisibleString

public abstract class DERObject
extends ASN1Encodable
implements DERTags

Field Summary

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERObject()`

Method Summary
`abstract boolean` | `equals(java.lang.Object o)`
`abstract int` | `hashCode()`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERObject

    public DERObject()

Method Detail

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

### hashCode

    public abstract int hashCode()

  Overrides:
    `hashCode` in class `ASN1Encodable`

### equals

    public abstract boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD